# MonoGame Goes Multi-Plaform : MonoGame 2.0 Released

MonoGame is an open source implementation of the XNA APIs that allows developers to build 2D games that run on Android, iPhone, iPad, Mac, Linux and Windows using the same code base, or reusing existing XNA code that runs on Xbox 360 or Windows Phone 7.

MonoGame 2.0 release is a major evolution of the platform. We went from only supporting the iPhone to becoming a cross-platform stack that now also runs on Android, Mac, Linux and Windows. To help developers get started, more than twenty individual samples and more than five complete starter kits are shipped with this release.

On the iOS platform, MonoGame runs on top of MonoTouch and there are at least eighteen games published on Apple’s AppStore built using the technology. This new release opens the doors for developers to publish games to the Mac AppStore using MonoMac, to Android Market using Mono for Android, and also to Windows and Linux systems using Mono.

This major advance in the MonoGame platform was made possible by an exponential growth in the number of contributors to the project in the last seven months.   New contributors took over major components of the stack, tuned the performance, added new platforms, tuned the engine and fixed hundreds of bugs to turn MonoGame into a solid 2D gaming platform.

A new networking stack allows players on the same network to play with each other.   One player could be running the iOS client, while another one might be using a Mac and another one an Android device. All playing the same game.

The latest framework sources can be downloaded from : http://github.com/mono/MonoGame.

A group of multi-platform XNA Samples can be downloaded from : http://github.com/CartBlanche/MonoGame-Samples

# ROADMAP

    The 2.x series will be released frequently to provide bug fixes and performance optimisations.
    The 3.x series will extend MonoGame with support for the XNA 3D APIs as well as something we are working on, which we believe the whole MonoGame will love.

# HOW YOU CAN HELP

Firstly, go over to github and register. Then fork the main repo found at https://github.com/mono/MonoGame
This will allow you to make changes to your own repo and send us patches and enhancements, thus benefiting everyone.

You can also join the active community of developers on IRC at irc.gnome.org on the #monogame channel, where the day-to-day improvements are being discussed in real time.
If you release a game using MonoGame, please let us know so we can update our released games page, and mention MonoGame in your tweet.

# SPECIAL THANKS TO

Jalfx (for starting this project in 2010, when it was called XNATouch)
kjpou1
technomage
slygamer
Clancey
kangaroo
Grapes
taskbit
jdindia
vchelaru
JorgeMagic
jordoh
_brain
kelthar
adreesteve
mgroves
espes
cschwarz
cadahl
CircleOf14
vostok4
viyano

[Team Xamarin](http://www.xamarin.com) for their support and continued great work on all things Mono
and everyone else that submitted patches/fixes and enhancements. Without your contributions this release would not have been possible.

# Sponsors
MonoGame is actively being worked on by...

[Syderis Technologies](http://www.syderis.com)

<img src="http://www.syderis.com/images/galerias/logo_normal.png" alt="Syderis Logo" title="Syderis"/>

and

[Savage Software Solutions Ltd.](http://www.SavageSoftwareSolutions.com/) 

<img src="http://www.savagesoftwaresolutions.com/images_sav/savage_lrg.png" alt="Savage Software Solutions Logo" title="Savage Software Solutions" width="215"/>

and

[Some members of Team Mono - Unofficially](http://mono-project.com/) 

<img src="http://mono-project.com/skins/MonoWaveWide/images/mp-mono-logo.png" width="215"/>

If your company plans to use and contribute to MonoGame, why not become a sponsor. If you would like to sponsor MonoGame, please contact us.
